Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.signature
Class MissingResourceFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.xml.security.exceptions.XMLSecurityException
                  org.apache.xml.security.signature.XMLSignatureException
                      org.apache.xml.security.signature.MissingResourceFailureException

All Implemented Interfaces:
  java.io.Serializable

    public class MissingResourceFailureException

extends XMLSignatureException

Thrown by `SignedInfo.verify()` when testing the signature fails because of uninitialized `Reference`s.

Author:
  Christian Geuer-Pollmann
See Also:
  `ReferenceNotInitializedException`, Serialized Form

Field Summary

Fields inherited from class org.apache.xml.security.exceptions.XMLSecurityException
`msgID`

Constructor Summary
`MissingResourceFailureException(java.lang.String msgID, java.lang.Exception originalException, Reference reference)` Constructor MissingResourceFailureException
`MissingResourceFailureException(java.lang.String msgID, java.lang.Object[] exArgs, java.lang.Exception originalException, Reference reference)` Constructor MissingResourceFailureException
`MissingResourceFailureException(java.lang.String msgID, java.lang.Object[] exArgs, Reference reference)` Constructor MissingResourceFailureException
`MissingResourceFailureException(java.lang.String msgID, Reference reference)` MissingKeyResourceFailureException constructor.

Method Summary
`Reference` | `getReference()` used to get the uninitialized `Reference` This allows to supply the correct `XMLSignatureInput` to the `Reference` to try again verification.
`void` | `setReference(Reference reference)` used to set the uninitialized `Reference`

Methods inherited from class org.apache.xml.security.exceptions.XMLSecurityException
`getMsgID, getOriginalException, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MissingResourceFailureException

    public MissingResourceFailureException(java.lang.String msgID,
                                           Reference reference)

  MissingKeyResourceFailureException constructor.

  Parameters:
    `msgID` -
    `reference` -
  See Also:
    `getReference()`

### MissingResourceFailureException

    public MissingResourceFailureException(java.lang.String msgID,
                                           java.lang.Object[] exArgs,
                                           Reference reference)

  Constructor MissingResourceFailureException

  Parameters:
    `msgID` -
    `exArgs` -
    `reference` -
  See Also:
    `getReference()`

### MissingResourceFailureException

    public MissingResourceFailureException(java.lang.String msgID,
                                           java.lang.Exception originalException,
                                           Reference reference)

  Constructor MissingResourceFailureException

  Parameters:
    `msgID` -
    `originalException` -
    `reference` -
  See Also:
    `getReference()`

### MissingResourceFailureException

    public MissingResourceFailureException(java.lang.String msgID,
                                           java.lang.Object[] exArgs,
                                           java.lang.Exception originalException,
                                           Reference reference)

  Constructor MissingResourceFailureException

  Parameters:
    `msgID` -
    `exArgs` -
    `originalException` -
    `reference` -
  See Also:
    `getReference()`

Method Detail

### setReference

    public void setReference(Reference reference)

  used to set the uninitialized `Reference`

  Parameters:
    `reference` - the Reference object
  See Also:
    `getReference()`

### getReference

    public Reference getReference()

  used to get the uninitialized `Reference` This allows to supply the correct `XMLSignatureInput` to the `Reference` to try again verification.

  Returns:
    the Reference object
  See Also:
    `setReference(org.apache.xml.security.signature.Reference)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD